Subject: bug#15876: 24.3.50; Highly degraded performance between rev 114715 and 115006

From: "Sebastien Vauban" <[email-masked]>
Date: Tue, 26 Nov 2013 21:52:05 +0100

Eli Zaretskii wrote:
>> From: "Sebastien Vauban" <[email-masked]>
>> Date: Wed, 20 Nov 2013 23:32:44 +0100
>> 
>> "Sebastien Vauban" wrote:
>> > "Sebastien Vauban" wrote:
>> >> Glenn Morris wrote:
>> >>> "Sebastien Vauban" wrote:
>> >>
>> >> Though I don't use rev 115085 much because of those problems, I tried to bite
>> >> the bullet and worked a bit more with it.
>> >>
>> >>> If you think Emacs is generally slow, then please post a recipe starting
>> >>> from emacs -Q that shows the problem, preferably not involving Org (since it
>> >>> has many moving parts).
>> >>
>> >> I'll try to do that later today. But it seems it won't be obvious, as the
>> >> only spots where I observed them are Org and Gnus, and I guess you'd like not
>> >> having any of these two enabled in the recipe.
>> >
>> > I don't have yet a minimized Emacs configuration file, but I already can tell
>> > that, in my full .emacs file, disabling the following line does solve the
>> > problem!
>> >
>> > ;; highlight trailing whitespaces in all modes
>> > (setq-default show-trailing-whitespace t)
>> >
>> > So, it seems to conflict with something else from my .emacs -- still have to
>> > find what.
>> 
>> The following item that makes the problem happen (or not, depending whether
>> commented out) is:
>> 
>> --8<---------------cut here---------------start------------->8---
>>   ;; ellipsis to use in the Org mode outline
>>   (setq org-ellipsis " \u25B7") ; white triangle
>> --8<---------------cut here---------------end--------------->8---
>
> So what is the minimum .emacs that will cause the problem?

That does it:

--8<---------------cut here---------------start------------->8---
;; highlight trailing whitespaces in all modes
(setq-default show-trailing-whitespace t)

(setq org-ellipsis " \u25B7")           ; string
--8<---------------cut here---------------end--------------->8---

Best regards,
  Seb

-- 
Sebastien Vauban